List website datasources
curl --request GET \
--url https://api.open.cx/crawl \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.open.cx/crawl"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.open.cx/crawl', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"total": 123,
"page": 123,
"limit": 123,
"total_pages": 123,
"has_next_page": true,
"has_prev_page": true,
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"url": "<string>",
"display_name": "<string>",
"status": "<string>",
"page_limit": 123,
"exclude_paths": [
"<string>"
],
"include_paths": [
"<string>"
],
"crawl_interval_hours": 123,
"restricted_to_channels": [],
"last_crawl_started_at": "2023-11-07T05:31:56Z",
"last_crawl_completed_at": "2023-11-07T05:31:56Z",
"error_message": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"page_count": 123
}
]
}{
"statusCode": 123,
"message": "<string>",
"error": "<string>"
}Crawl
List website datasources
Retrieve a paginated list of all website datasources for your organization. Use when driving the website crawler programmatically — queueing crawls, inspecting jobs, and curating…
GET
/
crawl
List website datasources
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Required range:
1 <= x <= 9007199254740991Required range:
1 <= x <= 100Was this page helpful?
⌘I